<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/search_input/init.jsp" %>

<%
PortletURL actionURL = (PortletURL)request.getAttribute("liferay-commerce:search-input:actionURL");
Map<String, Object> data = (Map<String, Object>)request.getAttribute("liferay-commerce:search-input:data");
%>

<aui:form action="<%= String.valueOf(actionURL) %>" method="get" name='<%= (String)request.getAttribute("liferay-commerce:search-input:formName") %>'>

	<%
	for (Map.Entry<String, Object> entry : data.entrySet()) {
	%>

		<aui:input name="<%= HtmlUtil.escape(entry.getKey()) %>" type="hidden" useNamespace="<%= false %>" value="<%= entry.getValue() %>" />

	<%
	}
	%>

	<liferay-ui:input-search
		markupView="lexicon"
	/>
</aui:form>