Liferay.Loader.define("commerce-bom-admin-web@4.0.30/js/components/utilities/LocalizedText.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.convertString = convertString;
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function convertString(string) {
      try {
        return window.Liferay.Language.get(string);
      } catch (error) {
        return string;
      }
    }

    function LocalizedText(props) {
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, convertString(props.children))
      );
    }

    var _default = LocalizedText;
    exports.default = _default;
    //# sourceMappingURL=LocalizedText.es.js.map
  }
});
//# sourceMappingURL=LocalizedText.es.js.map