Liferay.Loader.define("commerce-bom-admin-web@4.0.30/js/utilities/index.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.compose = exports.pipe = void 0;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var pipe = function pipe() {
      for (var _len = arguments.length, fns = new Array(_len), _key = 0; _key < _len; _key++) {
        fns[_key] = arguments[_key];
      }

      return function (initialVal) {
        return fns.reduce(function (prevVal, currentFn) {
          return currentFn(prevVal);
        }, initialVal);
      };
    };

    exports.pipe = pipe;

    var compose = function compose() {
      for (var _len2 = arguments.length, fns = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        fns[_key2] = arguments[_key2];
      }

      return function (initialVal) {
        return fns.reduceRight(function (prevVal, currentFn) {
          return currentFn(prevVal);
        }, initialVal);
      };
    };

    exports.compose = compose;
    //# sourceMappingURL=index.es.js.map
  }
});
//# sourceMappingURL=index.es.js.map