Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/update-due-date/BulkUpdateDueDateModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../shared/components/modal-with-steps/ModalWithSteps.es', '../../../../shared/components/toaster/hooks/useToaster.es', '../../../../shared/hooks/usePatch.es', '../../InstanceListPageProvider.es', '../ModalProvider.es', '../shared/select-tasks-step/SelectTasksStep.es', '../shared/select-tasks-step/hooks/useFetchTasks.es', './UpdateDueDateStep.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _modal = require("@frontend-taglib-clay$clayui/modal");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ModalWithSteps = _interopRequireDefault(require("../../../../shared/components/modal-with-steps/ModalWithSteps.es"));

    var _useToaster = require("../../../../shared/components/toaster/hooks/useToaster.es");

    var _usePatch2 = require("../../../../shared/hooks/usePatch.es");

    var _InstanceListPageProvider = require("../../InstanceListPageProvider.es");

    var _ModalProvider = require("../ModalProvider.es");

    var _SelectTasksStep = _interopRequireDefault(require("../shared/select-tasks-step/SelectTasksStep.es"));

    var _useFetchTasks2 = require("../shared/select-tasks-step/hooks/useFetchTasks.es");

    var _UpdateDueDateStep = _interopRequireDefault(require("./UpdateDueDateStep.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var BulkUpdateDueDateModal = function BulkUpdateDueDateModal() {
      var _useContext = (0, _react.useContext)(_InstanceListPageProvider.InstanceListContext),
          setSelectAll = _useContext.setSelectAll,
          setSelectedItems = _useContext.setSelectedItems;

      var _useContext2 = (0, _react.useContext)(_ModalProvider.ModalContext),
          closeModal = _useContext2.closeModal,
          _useContext2$selectTa = _useContext2.selectTasks,
          selectAll = _useContext2$selectTa.selectAll,
          tasks = _useContext2$selectTa.tasks,
          setSelectTasks = _useContext2.setSelectTasks,
          setUpdateDueDate = _useContext2.setUpdateDueDate,
          _useContext2$updateDu = _useContext2.updateDueDate,
          comment = _useContext2$updateDu.comment,
          dueDate = _useContext2$updateDu.dueDate,
          visibleModal = _useContext2.visibleModal;

      var _useFetchTasks = (0, _useFetchTasks2.useFetchTasks)(),
          clearFilters = _useFetchTasks.clearFilters,
          fetchTasks = _useFetchTasks.fetchTasks;

      var _useState = (0, _react.useState)('selectTasks'),
          _useState2 = _slicedToArray(_useState, 2),
          currentStep = _useState2[0],
          setCurrentStep = _useState2[1];

      var _useState3 = (0, _react.useState)(null),
          _useState4 = _slicedToArray(_useState3, 2),
          errorToast = _useState4[0],
          setErrorToast = _useState4[1];

      var _useState5 = (0, _react.useState)(false),
          _useState6 = _slicedToArray(_useState5, 2),
          fetching = _useState6[0],
          setFetching = _useState6[1];

      var _useState7 = (0, _react.useState)(false),
          _useState8 = _slicedToArray(_useState7, 2),
          updating = _useState8[0],
          setUpdating = _useState8[1];

      var toaster = (0, _useToaster.useToaster)();
      var clearContext = (0, _react.useCallback)(function () {
        setUpdateDueDate({
          comment: undefined,
          dueDate: undefined
        });
      }, [setUpdateDueDate]);

      var onCloseModal = function onCloseModal(refetch) {
        clearContext();
        clearFilters();
        closeModal(refetch);
        setSelectTasks({
          selectAll: false,
          tasks: []
        });
        setCurrentStep('selectTasks');
        setErrorToast(false);
      };

      var _useModal = (0, _modal.useModal)({
        onClose: onCloseModal
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      var body = (0, _react.useMemo)(function () {
        if (dueDate) {
          return tasks.map(function (_ref) {
            var workflowTaskId = _ref.id;
            return {
              comment: comment,
              dueDate: dueDate,
              workflowTaskId: workflowTaskId
            };
          });
        }

        return [];
      }, [comment, dueDate, tasks]);

      var _usePatch = (0, _usePatch2.usePatch)({
        admin: true,
        body: body,
        url: '/workflow-tasks/update-due-date'
      }),
          patchData = _usePatch.patchData;

      var handleDone = (0, _react.useCallback)(function () {
        setUpdating(true);
        patchData().then(function () {
          setUpdating(false);
          toaster.success(tasks.length > 1 ? Liferay.Language.get('the-due-dates-for-these-tasks-have-been-updated') : Liferay.Language.get('the-due-date-for-this-task-has-been-updated'));
          onCloseModal(true);
          setSelectedItems([]);
          setSelectAll(false);
        }).catch(function (_ref2) {
          var _response$data$title;

          var response = _ref2.response;
          var errorMessage = "".concat(Liferay.Language.get('your-request-has-failed'), " ").concat(Liferay.Language.get('select-done-to-retry'));
          setErrorToast((_response$data$title = response === null || response === void 0 ? void 0 : response.data.title) !== null && _response$data$title !== void 0 ? _response$data$title : errorMessage);
          setUpdating(false);
        }); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [patchData, tasks]);
      var handleNext = (0, _react.useCallback)(function () {
        if (selectAll) {
          setFetching(true);
          fetchTasks().then(function (_ref3) {
            var items = _ref3.items;
            setCurrentStep('selectDueDate');
            setFetching(false);
            setSelectTasks({
              selectAll: selectAll,
              tasks: items
            });
          }).catch(function () {
            setErrorToast("".concat(Liferay.Language.get('your-request-has-failed')));
            setFetching(false);
          });
        } else {
          setCurrentStep('selectDueDate');
        }
      }, [fetchTasks, selectAll, setSelectTasks]);
      var handlePrevious = (0, _react.useCallback)(function () {
        clearContext();
        setCurrentStep('selectTasks');
        setErrorToast(false);
      }, [clearContext]);
      var getStep = (0, _react.useCallback)(function (step) {
        var steps = {
          selectDueDate: {
            cancelBtn: {
              disabled: updating,
              handle: onClose
            },
            component: _UpdateDueDateStep.default,
            nextBtn: {
              disabled: !dueDate || updating,
              handle: handleDone,
              text: Liferay.Language.get('done')
            },
            order: 2,
            previousBtn: {
              disabled: updating,
              handle: handlePrevious
            },
            props: {
              className: 'fixed-height modal-metrics-content'
            },
            subtitle: Liferay.Language.get('update-due-date'),
            title: Liferay.Language.get('update-tasks-due-dates')
          },
          selectTasks: {
            cancelBtn: {
              disabled: fetching,
              handle: onClose
            },
            component: _SelectTasksStep.default,
            nextBtn: {
              disabled: tasks.length === 0 || fetching,
              handle: handleNext,
              text: Liferay.Language.get('next')
            },
            order: 1,
            previousBtn: false,
            props: {
              setErrorToast: setErrorToast
            },
            subtitle: Liferay.Language.get('select-tasks'),
            title: Liferay.Language.get('select-tasks-to-update')
          }
        };
        return steps[step];
      }, [dueDate, fetching, handleDone, handleNext, handlePrevious, onClose, updating, tasks.length]);
      var step = (0, _react.useMemo)(function () {
        return getStep(currentStep);
      }, [currentStep, getStep]);
      return (/*#__PURE__*/_react.default.createElement(_ModalWithSteps.default, {
          error: errorToast,
          observer: observer,
          step: step,
          visible: visibleModal === 'bulkUpdateDueDate'
        })
      );
    };

    var _default = BulkUpdateDueDateModal;
    exports.default = _default;
    //# sourceMappingURL=BulkUpdateDueDateModal.es.js.map
  }
});
//# sourceMappingURL=BulkUpdateDueDateModal.es.js.map