Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/process-items/SummaryCard.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$react', '../../../shared/components/filter/util/filterConstants.es', '../../../shared/components/router/ChildLink.es', '../../../shared/util/numeral.es', '../../../shared/util/util.es', '../../AppContext.es', '../../filter/ProcessStatusFilter.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _filterConstants = _interopRequireDefault(require("../../../shared/components/filter/util/filterConstants.es"));

    var _ChildLink = _interopRequireDefault(require("../../../shared/components/router/ChildLink.es"));

    var _numeral = require("../../../shared/util/numeral.es");

    var _util = require("../../../shared/util/util.es");

    var _AppContext = require("../../AppContext.es");

    var _ProcessStatusFilter = require("../../filter/ProcessStatusFilter.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SummaryCard = function SummaryCard(_ref) {
      var completed = _ref.completed,
          getTitle = _ref.getTitle,
          iconColor = _ref.iconColor,
          iconName = _ref.iconName,
          processId = _ref.processId,
          slaStatusFilter = _ref.slaStatusFilter,
          timeRange = _ref.timeRange,
          total = _ref.total,
          totalValue = _ref.totalValue,
          value = _ref.value;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          hovered = _useState2[0],
          setHovered = _useState2[1];

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          defaultDelta = _useContext.defaultDelta;

      var disabled = !total && value === undefined;
      var title = (0, _react.useMemo)(function () {
        return getTitle(completed);
      }, [completed, getTitle]);
      var formattedPercentage = (0, _react.useMemo)(function () {
        if (!total) {
          var percentage = (0, _util.getPercentage)(value, totalValue);
          return (0, _numeral.formatNumber)(percentage, '0[.]00%');
        }

        return null;
      }, [total, totalValue, value]);
      var formattedValue = (0, _react.useMemo)(function () {
        return (0, _numeral.formatNumber)(value, '0[,0][.]0a');
      }, [value]);
      var filtersQuery = (0, _react.useMemo)(function () {
        var _filterParams;

        var filterParams = (_filterParams = {}, _defineProperty(_filterParams, _filterConstants.default.processStatus.key, [completed ? _ProcessStatusFilter.processStatusConstants.completed : _ProcessStatusFilter.processStatusConstants.pending]), _defineProperty(_filterParams, _filterConstants.default.slaStatus.key, [slaStatusFilter]), _filterParams);

        if (timeRange) {
          var dateEnd = timeRange.dateEnd,
              dateStart = timeRange.dateStart,
              key = timeRange.key;
          filterParams.dateEnd = dateEnd;
          filterParams.dateStart = dateStart;
          filterParams.timeRange = [key];
        }

        return filterParams;
      }, [completed, slaStatusFilter, timeRange]);
      return (/*#__PURE__*/_react.default.createElement(_ChildLink.default, {
          className: "".concat(disabled ? 'disabled' : '', " process-dashboard-summary-card"),
          onMouseOut: function onMouseOut() {
            return setHovered(false);
          },
          onMouseOver: function onMouseOver() {
            return setHovered(true);
          },
          query: {
            filters: filtersQuery
          },
          to: "/instance/".concat(processId, "/").concat(defaultDelta, "/1")
        }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
          className: 'header'
        }, iconName && /*#__PURE__*/_react.default.createElement("span", {
          className: "bg-".concat(iconColor, "-light mr-3 sticker sticker-circle")
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "inline-item"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          className: "text-".concat(iconColor),
          symbol: iconName
        }))), /*#__PURE__*/_react.default.createElement("span", null, title)), !disabled && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "body",
          title: value
        }, formattedValue), /*#__PURE__*/_react.default.createElement("div", {
          className: "footer"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "".concat(hovered ? 'highlight-hover' : '', " xsmall")
        }, hovered ? Liferay.Language.get('see-items') : formattedPercentage)))))
      );
    };

    var _default = SummaryCard;
    exports.default = _default;
    //# sourceMappingURL=SummaryCard.es.js.map
  }
});
//# sourceMappingURL=SummaryCard.es.js.map