Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/process-metrics/workload-by-step-card/WorkloadByStepCardBody.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../shared/components/Panel.es', '../../../shared/components/content-view/ContentView.es', '../../../shared/components/list/ReloadButton.es', '../../../shared/components/pagination-bar/PaginationBar.es', './WorkloadByStepCardTable.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Body = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Panel = _interopRequireDefault(require("../../../shared/components/Panel.es"));

    var _ContentView = _interopRequireDefault(require("../../../shared/components/content-view/ContentView.es"));

    var _ReloadButton = _interopRequireDefault(require("../../../shared/components/list/ReloadButton.es"));

    var _PaginationBar = _interopRequireDefault(require("../../../shared/components/pagination-bar/PaginationBar.es"));

    var _WorkloadByStepCardTable = require("./WorkloadByStepCardTable.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var Body = function Body(_ref) {
      var items = _ref.items,
          page = _ref.page,
          pageSize = _ref.pageSize,
          processId = _ref.processId,
          totalCount = _ref.totalCount;
      var statesProps = {
        emptyProps: {
          className: 'py-6',
          hideAnimation: true,
          message: Liferay.Language.get('there-is-no-data-at-the-moment'),
          messageClassName: 'small'
        },
        errorProps: {
          actionButton: /*#__PURE__*/_react.default.createElement(_ReloadButton.default, null),
          className: 'py-6',
          hideAnimation: true,
          message: Liferay.Language.get('unable-to-retrieve-data'),
          messageClassName: 'small'
        },
        loadingProps: {
          className: 'py-6'
        }
      };
      return (/*#__PURE__*/_react.default.createElement(_Panel.default.Body, {
          elementClasses: "pb-3"
        }, /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, totalCount > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Body.Table, {
          items: items,
          processId: processId
        }), /*#__PURE__*/_react.default.createElement(_PaginationBar.default, {
          page: page,
          pageSize: pageSize,
          totalCount: totalCount
        }))))
      );
    };

    exports.Body = Body;
    Body.Table = _WorkloadByStepCardTable.Table;
    //# sourceMappingURL=WorkloadByStepCardBody.es.js.map
  }
});
//# sourceMappingURL=WorkloadByStepCardBody.es.js.map