Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/header/HeaderController.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../components/AppContext.es', './HeaderBackButton.es', './HeaderReindexStatus.es', './HeaderTitle.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("../../../components/AppContext.es");

    var _HeaderBackButton = _interopRequireDefault(require("./HeaderBackButton.es"));

    var _HeaderReindexStatus = _interopRequireDefault(require("./HeaderReindexStatus.es"));

    var _HeaderTitle = _interopRequireDefault(require("./HeaderTitle.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var HeaderController = function HeaderController(_ref) {
      var basePath = _ref.basePath;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          portletNamespace = _useContext.portletNamespace,
          title = _useContext.title;

      var container = (0, _react.useMemo)(function () {
        var header = document.getElementById("".concat(portletNamespace, "controlMenu"));

        if (!header) {
          return {};
        }

        return {
          button: header.querySelector('.sites-control-group .control-menu-nav'),
          status: header.querySelector('.user-control-group li.control-menu-nav-item'),
          title: header.querySelector('.tools-control-group .control-menu-level-1-heading')
        };
      }, [portletNamespace]);
      (0, _react.useEffect)(function () {
        var legacyElement = document.querySelector('[data-qa-id="headerOptions"]');

        if (legacyElement) {
          legacyElement.innerHTML = '';
        }
      }, []);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_HeaderBackButton.default, {
          basePath: basePath,
          container: container.button
        }), /*#__PURE__*/_react.default.createElement(_HeaderReindexStatus.default, {
          container: container.status
        }), /*#__PURE__*/_react.default.createElement(_HeaderTitle.default, {
          container: container.title,
          title: title
        }))
      );
    };

    var _default = HeaderController;
    exports.default = _default;
    //# sourceMappingURL=HeaderController.es.js.map
  }
});
//# sourceMappingURL=HeaderController.es.js.map