Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/toaster/hooks/useToaster.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../ToasterProvider.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useToaster = void 0;

    var _react = require("frontend-js-react-web$react");

    var _ToasterProvider = require("../ToasterProvider.es");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var useToaster = function useToaster() {
      var _useContext = (0, _react.useContext)(_ToasterProvider.ToasterContext),
          addToast = _useContext.addToast,
          context = _objectWithoutProperties(_useContext, ["addToast"]);

      return _objectSpread(_objectSpread(_objectSpread({}, context), {
        danger: function danger(message, title) {
          var autoClose = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 5000;
          addToast({
            autoClose: autoClose,
            message: message || Liferay.Language.get('error'),
            title: title || "".concat(Liferay.Language.get('error'), ":"),
            type: 'danger'
          });
        },
        info: function info(message, title) {
          var autoClose = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 5000;
          addToast({
            autoClose: autoClose,
            message: message,
            title: title,
            type: 'info'
          });
        },
        success: function success(message, title) {
          var autoClose = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 5000;
          addToast({
            autoClose: autoClose,
            message: message || Liferay.Language.get('success'),
            title: title || "".concat(Liferay.Language.get('success'), ":"),
            type: 'success'
          });
        },
        warning: function warning(message, title) {
          var autoClose = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 5000;
          addToast({
            autoClose: autoClose,
            message: message,
            title: title,
            type: 'warning'
          });
        }
      }), {}, {
        addToast: addToast
      });
    };

    exports.useToaster = useToaster;
    //# sourceMappingURL=useToaster.es.js.map
  }
});
//# sourceMappingURL=useToaster.es.js.map