Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useProcessTitle.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../components/AppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useProcessTitle = void 0;

    var _react = require("frontend-js-react-web$react");

    var _AppContext = require("../../components/AppContext.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var useProcessTitle = function useProcessTitle(processId) {
      var pageTitle = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          client = _useContext.client,
          setTitle = _useContext.setTitle;

      (0, _react.useEffect)(function () {
        client.get("/processes/".concat(processId, "/title")).then(function (_ref) {
          var data = _ref.data;
          setTitle(data + "".concat(pageTitle ? ': ' + pageTitle : ''));
        }); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, []);
    };

    exports.useProcessTitle = useProcessTitle;
    //# sourceMappingURL=useProcessTitle.es.js.map
  }
});
//# sourceMappingURL=useProcessTitle.es.js.map