Liferay.Loader.define("commerce-frontend-taglib@10.1.5/address_modal/AddressModal.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.AddressModal = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from AddressModal.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace AddressModal.
       * @public
       */

      goog.module('AddressModal.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      goog.require('goog.string');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      var soyIdom = goog.require('soy.idom');

      var $templateAlias1 = _metalSoy.default.getTemplate('ClayIcon.incrementaldom', 'render');

      var $templateAlias3 = _metalSoy.default.getTemplate('ClayModal.incrementaldom', 'render');

      var $templateAlias2 = _metalSoy.default.getTemplate('CommerceInputText.incrementaldom', 'render');
      /**
       * @param {{
       *  spritemap: (!goog.soy.data.SanitizedContent|string),
       *  _isBillingAllowed: (boolean|null|undefined),
       *  _isShippingAllowed: (boolean|null|undefined),
       *  _stage: (null|number|undefined),
       *  _formData: (null|undefined|{address: (!goog.soy.data.SanitizedContent|string), addressType: number, city: (!goog.soy.data.SanitizedContent|string), country: (!goog.soy.data.SanitizedContent|string), id: (!goog.soy.data.SanitizedContent|string), referent: (!goog.soy.data.SanitizedContent|string), region: (!goog.soy.data.SanitizedContent|string), telephone: (!goog.soy.data.SanitizedContent|string), zipCode: (!goog.soy.data.SanitizedContent|string)}),
       *  _countries: (!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
       *  _regions: (!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
       *  _firstFormValid: (boolean|null|undefined),
       *  _secondFormValid: (boolean|null|undefined),
       *  _modalVisible: (boolean|null|undefined),
       *  _handleInputBox: (*|null|undefined),
       *  _handleSelectBox: (*|null|undefined),
       *  _handleCloseModal: (*|null|undefined),
       *  _handleFormSubmit: (*|null|undefined),
       *  _handleNextButton: (*|null|undefined),
       *  _handleFirstDotClick: (*|null|undefined),
       *  _handleSecondDotClick: (*|null|undefined)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var spritemap = soy.asserts.assertType(goog.isString(opt_data.spritemap) || opt_data.spritemap instanceof goog.soy.data.SanitizedContent, 'spritemap', opt_data.spritemap, '!goog.soy.data.SanitizedContent|string');
        /** @type {boolean|null|undefined} */

        var _isBillingAllowed = soy.asserts.assertType(opt_data._isBillingAllowed == null || goog.isBoolean(opt_data._isBillingAllowed) || opt_data._isBillingAllowed === 1 || opt_data._isBillingAllowed === 0, '_isBillingAllowed', opt_data._isBillingAllowed, 'boolean|null|undefined');
        /** @type {boolean|null|undefined} */

        var _isShippingAllowed = soy.asserts.assertType(opt_data._isShippingAllowed == null || goog.isBoolean(opt_data._isShippingAllowed) || opt_data._isShippingAllowed === 1 || opt_data._isShippingAllowed === 0, '_isShippingAllowed', opt_data._isShippingAllowed, 'boolean|null|undefined');
        /** @type {null|number|undefined} */

        var _stage = soy.asserts.assertType(opt_data._stage == null || goog.isNumber(opt_data._stage), '_stage', opt_data._stage, 'null|number|undefined');
        /** @type {null|undefined|{address: (!goog.soy.data.SanitizedContent|string), addressType: number, city: (!goog.soy.data.SanitizedContent|string), country: (!goog.soy.data.SanitizedContent|string), id: (!goog.soy.data.SanitizedContent|string), referent: (!goog.soy.data.SanitizedContent|string), region: (!goog.soy.data.SanitizedContent|string), telephone: (!goog.soy.data.SanitizedContent|string), zipCode: (!goog.soy.data.SanitizedContent|string)}} */

        var _formData = soy.asserts.assertType(opt_data._formData == null || goog.isObject(opt_data._formData), '_formData', opt_data._formData, 'null|undefined|{address: (!goog.soy.data.SanitizedContent|string), addressType: number, city: (!goog.soy.data.SanitizedContent|string), country: (!goog.soy.data.SanitizedContent|string), id: (!goog.soy.data.SanitizedContent|string), referent: (!goog.soy.data.SanitizedContent|string), region: (!goog.soy.data.SanitizedContent|string), telephone: (!goog.soy.data.SanitizedContent|string), zipCode: (!goog.soy.data.SanitizedContent|string)}');
        /** @type {!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined} */

        var _countries = soy.asserts.assertType(opt_data._countries == null || goog.isArray(opt_data._countries), '_countries', opt_data._countries, '!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined');
        /** @type {!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined} */

        var _regions = soy.asserts.assertType(opt_data._regions == null || goog.isArray(opt_data._regions), '_regions', opt_data._regions, '!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined');
        /** @type {boolean|null|undefined} */

        var _firstFormValid = soy.asserts.assertType(opt_data._firstFormValid == null || goog.isBoolean(opt_data._firstFormValid) || opt_data._firstFormValid === 1 || opt_data._firstFormValid === 0, '_firstFormValid', opt_data._firstFormValid, 'boolean|null|undefined');
        /** @type {boolean|null|undefined} */

        var _secondFormValid = soy.asserts.assertType(opt_data._secondFormValid == null || goog.isBoolean(opt_data._secondFormValid) || opt_data._secondFormValid === 1 || opt_data._secondFormValid === 0, '_secondFormValid', opt_data._secondFormValid, 'boolean|null|undefined');
        /** @type {boolean|null|undefined} */

        var _modalVisible = soy.asserts.assertType(opt_data._modalVisible == null || goog.isBoolean(opt_data._modalVisible) || opt_data._modalVisible === 1 || opt_data._modalVisible === 0, '_modalVisible', opt_data._modalVisible, 'boolean|null|undefined');
        /** @type {*|null|undefined} */

        var _handleInputBox = opt_data._handleInputBox;
        /** @type {*|null|undefined} */

        var _handleSelectBox = opt_data._handleSelectBox;
        /** @type {*|null|undefined} */

        var _handleCloseModal = opt_data._handleCloseModal;
        /** @type {*|null|undefined} */

        var _handleFormSubmit = opt_data._handleFormSubmit;
        /** @type {*|null|undefined} */

        var _handleNextButton = opt_data._handleNextButton;
        /** @type {*|null|undefined} */

        var _handleFirstDotClick = opt_data._handleFirstDotClick;
        /** @type {*|null|undefined} */

        var _handleSecondDotClick = opt_data._handleSecondDotClick;

        var body__soy1674 = function body__soy1674() {
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'add-new-address-address-modal commerce-modal');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'commerce-modal__header');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('h3');
          incrementalDom.attr('class', 'commerce-modal__title');
          incrementalDom.elementOpenEnd();

          if (_formData.id != null) {
            /** @desc Update Address */
            var MSG_EXTERNAL_856514527187484910 = Liferay.Language.get('update-address');
            incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_856514527187484910));
          } else {
            /** @desc Add New Address */
            var MSG_EXTERNAL_1115888286498934755 = Liferay.Language.get('add-new-address');
            incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_1115888286498934755));
          }

          incrementalDom.elementClose('h3');
          incrementalDom.elementOpenStart('button');
          incrementalDom.attr('class', 'commerce-modal__close');
          incrementalDom.attr('data-onclick', _handleCloseModal);
          incrementalDom.elementOpenEnd();
          $templateAlias1({
            spritemap: spritemap,
            symbol: 'times'
          }, null, opt_ijData);
          incrementalDom.elementClose('button');
          incrementalDom.elementClose('div');
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'commerce-modal__content');
          incrementalDom.elementOpenEnd();

          if ((_stage != null && _stage == 2) == false) {
            incrementalDom.elementOpenStart('form');
            incrementalDom.attr('class', 'row');
            incrementalDom.attr('data-onsubmit', _handleNextButton);
            incrementalDom.attr('ref', 'firstForm');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('label');
            incrementalDom.attr('for', 'addressType');
            incrementalDom.attr('class', 'commerce-modal__label');
            incrementalDom.elementOpenEnd();
            /** @desc Type */

            var MSG_EXTERNAL_6537904131139019667 = Liferay.Language.get('type');
            incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_6537904131139019667));
            incrementalDom.elementOpenStart('span');
            incrementalDom.attr('class', 'required-mark');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('span');
            incrementalDom.elementClose('label');
            incrementalDom.elementOpenStart('select');
            incrementalDom.attr('id', 'addressType');
            incrementalDom.attr('name', 'addressType');
            incrementalDom.attr('class', 'commerce-modal__select commerce-modal__select--with-margin');
            incrementalDom.attr('required', '');
            incrementalDom.attr('data-onchange', _handleSelectBox);
            incrementalDom.elementOpenEnd();

            if (_isBillingAllowed) {
              incrementalDom.elementOpenStart('option');
              incrementalDom.attr('value', '1');

              if (_formData.addressType == 1) {
                incrementalDom.attr('selected', '');
              }

              incrementalDom.elementOpenEnd();
              incrementalDom.text('Billing');
              incrementalDom.elementClose('option');
            }

            if (_isShippingAllowed) {
              incrementalDom.elementOpenStart('option');
              incrementalDom.attr('value', '3');

              if (_formData.addressType == 3) {
                incrementalDom.attr('selected', '');
              }

              incrementalDom.elementOpenEnd();
              incrementalDom.text('Shipping');
              incrementalDom.elementClose('option');
            }

            if (_isBillingAllowed && _isShippingAllowed) {
              incrementalDom.elementOpenStart('option');
              incrementalDom.attr('value', '2');

              if (_formData.addressType == 2) {
                incrementalDom.attr('selected', '');
              }

              incrementalDom.elementOpenEnd();
              incrementalDom.text('Billing and Shipping');
              incrementalDom.elementClose('option');
            }

            incrementalDom.elementClose('select');
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            $templateAlias2({
              contextName: 'add-new-address',
              name: 'address',
              label: 'Address',
              value: _formData.address,
              type: 'text',
              required: true,
              _handleInputKeyUp: _handleInputBox
            }, null, opt_ijData);
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-6');
            incrementalDom.elementOpenEnd();
            $templateAlias2({
              contextName: 'add-new-address',
              name: 'city',
              label: 'City',
              value: _formData.city,
              type: 'text',
              required: true,
              _handleInputKeyUp: _handleInputBox
            }, null, opt_ijData);
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-6');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('label');
            incrementalDom.attr('for', 'add-new-address-country');
            incrementalDom.attr('class', 'commerce-modal__label');
            incrementalDom.elementOpenEnd();
            /** @desc Country */

            var MSG_EXTERNAL_3598887185953670111 = Liferay.Language.get('country');
            incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_3598887185953670111));
            incrementalDom.elementOpenStart('span');
            incrementalDom.attr('class', 'required-mark');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('span');
            incrementalDom.elementClose('label');
            incrementalDom.elementOpenStart('select');
            incrementalDom.attr('id', 'commerceCountry');
            incrementalDom.attr('name', 'commerceCountry');
            incrementalDom.attr('class', 'commerce-modal__select commerce-modal__select--with-margin');
            incrementalDom.attr('required', '');
            incrementalDom.attr('data-onchange', _handleSelectBox);
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('option');
            incrementalDom.attr('value', '');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('option');

            if (_countries != null && _countries.length > 0) {
              var country1767List = _countries;
              var country1767ListLen = country1767List.length;

              for (var country1767Index = 0; country1767Index < country1767ListLen; country1767Index++) {
                var country1767Data = country1767List[country1767Index];
                incrementalDom.elementOpenStart('option');
                incrementalDom.attr('value', country1767Data.id);

                if (_formData != null && _formData.country != null && _formData.country == country1767Data.id) {
                  incrementalDom.attr('selected', '');
                }

                incrementalDom.elementOpenEnd();
                soyIdom.print(country1767Data.name);
                incrementalDom.elementClose('option');
              }
            }

            incrementalDom.elementClose('select');
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-6');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('label');
            incrementalDom.attr('for', 'add-new-address-country');
            incrementalDom.attr('class', 'commerce-modal__label');
            incrementalDom.elementOpenEnd();
            /** @desc Region */

            var MSG_EXTERNAL_5082095396043563283 = Liferay.Language.get('region');
            incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_5082095396043563283));
            incrementalDom.elementOpenStart('span');
            incrementalDom.attr('class', 'required-mark');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('span');
            incrementalDom.elementClose('label');
            incrementalDom.elementOpenStart('select');
            incrementalDom.attr('id', 'commerceRegion');
            incrementalDom.attr('name', 'commerceRegion');
            incrementalDom.attr('class', 'commerce-modal__select commerce-modal__select--with-margin');
            incrementalDom.attr('required', '');
            incrementalDom.attr('data-onchange', _handleSelectBox);
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('option');
            incrementalDom.attr('value', '');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementClose('option');

            if (_regions != null && _regions.length > 0) {
              var region1789List = _regions;
              var region1789ListLen = region1789List.length;

              for (var region1789Index = 0; region1789Index < region1789ListLen; region1789Index++) {
                var region1789Data = region1789List[region1789Index];
                incrementalDom.elementOpenStart('option');
                incrementalDom.attr('value', region1789Data.id);

                if (_formData != null && _formData.region != null && _formData.region == region1789Data.id) {
                  incrementalDom.attr('selected', '');
                }

                incrementalDom.elementOpenEnd();
                soyIdom.print(region1789Data.name);
                incrementalDom.elementClose('option');
              }
            }

            incrementalDom.elementClose('select');
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-6');
            incrementalDom.elementOpenEnd();
            $templateAlias2({
              contextName: 'add-new-address',
              name: 'zipCode',
              label: 'Zip Code',
              value: _formData.zipCode,
              type: 'text',
              required: true,
              _handleInputKeyUp: _handleInputBox
            }, null, opt_ijData);
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'commerce-modal__actions justify-content-end');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('button');
            incrementalDom.attr('type', 'submit');
            incrementalDom.attr('class', 'btn btn-lg btn-monospaced btn-primary');
            incrementalDom.attr('data-onclick', _handleNextButton);

            if (_firstFormValid == false) {
              incrementalDom.attr('disabled', '');
            }

            incrementalDom.elementOpenEnd();
            $templateAlias1({
              spritemap: spritemap,
              symbol: 'arrow-next'
            }, null, opt_ijData);
            incrementalDom.elementClose('button');
            incrementalDom.elementClose('div');
            incrementalDom.elementClose('div');
            incrementalDom.elementClose('form');
          } else {
            incrementalDom.elementOpenStart('form');
            incrementalDom.attr('class', 'row');
            incrementalDom.attr('data-onsubmit', _handleFormSubmit);
            incrementalDom.attr('ref', 'secondForm');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            $templateAlias2({
              contextName: 'add-new-address',
              name: 'referent',
              label: 'Name',
              value: _formData.referent,
              type: 'text',
              required: true,
              _handleInputKeyUp: _handleInputBox
            }, null, opt_ijData);
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            $templateAlias2({
              contextName: 'add-new-address',
              name: 'telephone',
              label: 'Telephone',
              value: _formData.telephone,
              type: 'tel',
              required: false,
              _handleInputKeyUp: _handleInputBox
            }, null, opt_ijData);
            incrementalDom.elementClose('div');
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'col-12');
            incrementalDom.elementOpenEnd();
            var addButtonClasses__soy1834 = '';
            addButtonClasses__soy1834 += 'commerce-button commerce-button--big';
            addButtonClasses__soy1834 += (_secondFormValid != null && _secondFormValid == true) == false ? ' commerce-button--disabled' : '';
            incrementalDom.elementOpenStart('div');
            incrementalDom.attr('class', 'commerce-modal__actions');
            incrementalDom.elementOpenEnd();
            incrementalDom.elementOpenStart('button');
            incrementalDom.attr('type', 'submit');
            incrementalDom.attr('class', addButtonClasses__soy1834);
            incrementalDom.attr('data-onclick', _handleFormSubmit);
            incrementalDom.elementOpenEnd();

            if (_formData.id != null) {
              /** @desc Update */
              var MSG_EXTERNAL_6100869651653026893 = Liferay.Language.get('update');
              incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_6100869651653026893));
            } else {
              /** @desc Create */
              var MSG_EXTERNAL_6031236679730054907 = Liferay.Language.get('create');
              incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_6031236679730054907));
            }

            incrementalDom.elementClose('button');
            incrementalDom.elementClose('div');
            incrementalDom.elementClose('div');
            incrementalDom.elementClose('form');
          }

          incrementalDom.elementClose('div');
          var firstDotClasses__soy1860 = '';
          firstDotClasses__soy1860 += 'commerce-dot-navigation__dot';
          firstDotClasses__soy1860 += (_stage != null && _stage == 2) == false ? ' commerce-dot-navigation__dot--active' : '';
          var secondDotClasses__soy1867 = '';
          secondDotClasses__soy1867 += 'commerce-dot-navigation__dot';
          secondDotClasses__soy1867 += _stage != null && _stage == 2 ? ' commerce-dot-navigation__dot--active' : '';
          secondDotClasses__soy1867 += _firstFormValid == false ? ' commerce-dot-navigation__dot--disabled' : '';
          incrementalDom.elementOpenStart('div');
          incrementalDom.attr('class', 'commerce-dot-navigation');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementOpenStart('button');
          incrementalDom.attr('class', firstDotClasses__soy1860);
          incrementalDom.attr('data-onclick', _handleFirstDotClick);
          incrementalDom.attr('data-index', '1');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('button');
          incrementalDom.elementOpenStart('button');
          incrementalDom.attr('class', secondDotClasses__soy1867);
          incrementalDom.attr('data-onclick', _handleSecondDotClick);
          incrementalDom.attr('data-index', '2');
          incrementalDom.elementOpenEnd();
          incrementalDom.elementClose('button');
          incrementalDom.elementClose('div');
          incrementalDom.elementClose('div');
        };

        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'commerce-modal-wrapper');
        incrementalDom.elementOpenEnd();
        $templateAlias3({
          body: body__soy1674,
          elementClasses: 'modal-hidden',
          visible: _modalVisible,
          events: {
            hide: _handleCloseModal
          },
          ref: 'modal'
        }, null, opt_ijData);
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  spritemap: (!goog.soy.data.SanitizedContent|string),
       *  _isBillingAllowed: (boolean|null|undefined),
       *  _isShippingAllowed: (boolean|null|undefined),
       *  _stage: (null|number|undefined),
       *  _formData: (null|undefined|{address: (!goog.soy.data.SanitizedContent|string), addressType: number, city: (!goog.soy.data.SanitizedContent|string), country: (!goog.soy.data.SanitizedContent|string), id: (!goog.soy.data.SanitizedContent|string), referent: (!goog.soy.data.SanitizedContent|string), region: (!goog.soy.data.SanitizedContent|string), telephone: (!goog.soy.data.SanitizedContent|string), zipCode: (!goog.soy.data.SanitizedContent|string)}),
       *  _countries: (!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
       *  _regions: (!Array<{id: number, name: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
       *  _firstFormValid: (boolean|null|undefined),
       *  _secondFormValid: (boolean|null|undefined),
       *  _modalVisible: (boolean|null|undefined),
       *  _handleInputBox: (*|null|undefined),
       *  _handleSelectBox: (*|null|undefined),
       *  _handleCloseModal: (*|null|undefined),
       *  _handleFormSubmit: (*|null|undefined),
       *  _handleNextButton: (*|null|undefined),
       *  _handleFirstDotClick: (*|null|undefined),
       *  _handleSecondDotClick: (*|null|undefined)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'AddressModal.render';
      }

      exports.render.params = ["spritemap", "_isBillingAllowed", "_isShippingAllowed", "_stage", "_formData", "_countries", "_regions", "_firstFormValid", "_secondFormValid", "_modalVisible", "_handleInputBox", "_handleSelectBox", "_handleCloseModal", "_handleFormSubmit", "_handleNextButton", "_handleFirstDotClick", "_handleSecondDotClick"];
      exports.render.types = {
        "spritemap": "string ",
        "_isBillingAllowed": "bool ",
        "_isShippingAllowed": "bool ",
        "_stage": "number ",
        "_formData": "[\n\t\taddress: string,\n\t\tcity: string,\n\t\tcountry: string,\n\t\tid: string,\n\t\tregion: string,\n\t\treferent: string,\n\t\ttelephone: string,\n\t\taddressType: number,\n\t\tzipCode: string\n\t]",
        "_countries": "list<[\n\t\tid: number,\n\t\tname: string\n\t]> ",
        "_regions": "list<[\n\t\tid: number,\n\t\tname: string\n\t]> ",
        "_firstFormValid": "bool ",
        "_secondFormValid": "bool ",
        "_modalVisible": "bool ",
        "_handleInputBox": "any ",
        "_handleSelectBox": "any ",
        "_handleCloseModal": "any ",
        "_handleFormSubmit": "any ",
        "_handleNextButton": "any ",
        "_handleFirstDotClick": "any ",
        "_handleSecondDotClick": "any "
      };
      exports.templates = templates = exports;
      return exports;
    });

    var AddressModal = /*#__PURE__*/function (_Component) {
      _inherits(AddressModal, _Component);

      function AddressModal() {
        _classCallCheck(this, AddressModal);

        return _possibleConstructorReturn(this, _getPrototypeOf(AddressModal).apply(this, arguments));
      }

      return AddressModal;
    }(_metalComponent.default);

    exports.AddressModal = AddressModal;

    _metalSoy.default.register(AddressModal, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=AddressModal.soy.js.map
  }
});
//# sourceMappingURL=AddressModal.soy.js.map