Liferay.Loader.define("commerce-frontend-taglib@10.1.5/user_roles_modal/RoleListItem.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.templates = exports.RoleListItem = void 0;

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var templates;
    exports.templates = templates;
    goog.loadModule(function (exports) {
      var soy = goog.require('soy');

      goog.require('soydata');

      // This file was automatically generated from RoleListItem.soy.
      // Please don't edit this file by hand.

      /**
       * @fileoverview Templates in namespace RoleListItem.
       * @public
       */

      goog.module('RoleListItem.incrementaldom');

      goog.require('goog.soy.data.SanitizedContent');

      var incrementalDom = goog.require('incrementaldom');

      goog.require('soy.asserts');

      goog.require('soy.idom');

      var $templateAlias1 = _metalSoy.default.getTemplate('AutocompleteItem.incrementaldom', 'render');
      /**
       * @param {{
       *  id: (!goog.soy.data.SanitizedContent|number|string),
       *  name: (!goog.soy.data.SanitizedContent|string),
       *  query: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  _selected: (boolean|null|undefined),
       *  _handleToggleItem: (?)
       * }} opt_data
       * @param {Object<string, *>=} opt_ijData
       * @param {Object<string, *>=} opt_ijData_deprecated
       * @return {void}
       * @suppress {checkTypes}
       */

      function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
        opt_ijData = opt_ijData_deprecated || opt_ijData;
        /** @type {!goog.soy.data.SanitizedContent|number|string} */

        var id = soy.asserts.assertType(goog.isNumber(opt_data.id) || goog.isString(opt_data.id) || opt_data.id instanceof goog.soy.data.SanitizedContent, 'id', opt_data.id, '!goog.soy.data.SanitizedContent|number|string');
        /** @type {!goog.soy.data.SanitizedContent|string} */

        var name = soy.asserts.assertType(goog.isString(opt_data.name) || opt_data.name instanceof goog.soy.data.SanitizedContent, 'name', opt_data.name, '!goog.soy.data.SanitizedContent|string');
        /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

        var query = soy.asserts.assertType(opt_data.query == null || goog.isString(opt_data.query) || opt_data.query instanceof goog.soy.data.SanitizedContent, 'query', opt_data.query, '!goog.soy.data.SanitizedContent|null|string|undefined');
        /** @type {boolean|null|undefined} */

        var _selected = soy.asserts.assertType(opt_data._selected == null || goog.isBoolean(opt_data._selected) || opt_data._selected === 1 || opt_data._selected === 0, '_selected', opt_data._selected, 'boolean|null|undefined');
        /** @type {?} */

        var _handleToggleItem = opt_data._handleToggleItem;

        var checkboxContainerClasses__soy4497 = '';
        checkboxContainerClasses__soy4497 += 'commerce-input commerce-input--checkbox';
        checkboxContainerClasses__soy4497 += _selected != null && _selected == true ? ' commerce-input commerce-input--checkbox--checked' : '';
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', checkboxContainerClasses__soy4497);
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'commerce-input commerce-input--checkbox__input');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementOpenStart('input');
        incrementalDom.attr('data-onchange', _handleToggleItem);
        (function checkboxAttributes__soy4484() {
          incrementalDom.attr('type', 'checkbox');
          incrementalDom.attr('name', name);
          incrementalDom.attr('value', id);
          incrementalDom.attr('id', 'role-checkbox--' + id);

          if (_selected != null && _selected == true) {
            incrementalDom.attr('checked', '');
          }
        })();
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('input');
        incrementalDom.elementClose('div');
        incrementalDom.elementOpenStart('label');
        incrementalDom.attr('class', 'commerce-input commerce-input--checkbox__label');
        incrementalDom.attr('for', 'role-checkbox--' + id);
        incrementalDom.elementOpenEnd();
        $templateAlias1({
          text: name,
          query: query
        }, null, opt_ijData);
        incrementalDom.elementClose('label');
        incrementalDom.elementClose('div');
      }

      exports.render = $render;
      /**
       * @typedef {{
       *  id: (!goog.soy.data.SanitizedContent|number|string),
       *  name: (!goog.soy.data.SanitizedContent|string),
       *  query: (!goog.soy.data.SanitizedContent|null|string|undefined),
       *  _selected: (boolean|null|undefined),
       *  _handleToggleItem: (?)
       * }}
       */

      $render.Params;

      if (goog.DEBUG) {
        $render.soyTemplateName = 'RoleListItem.render';
      }

      exports.render.params = ["id", "name", "query", "_selected", "_handleToggleItem"];
      exports.render.types = {
        "id": "string|int ",
        "name": "string ",
        "query": "string ",
        "_selected": "bool ",
        "_handleToggleItem": "?"
      };
      exports.templates = templates = exports;
      return exports;
    });

    var RoleListItem = /*#__PURE__*/function (_Component) {
      _inherits(RoleListItem, _Component);

      function RoleListItem() {
        _classCallCheck(this, RoleListItem);

        return _possibleConstructorReturn(this, _getPrototypeOf(RoleListItem).apply(this, arguments));
      }

      return RoleListItem;
    }(_metalComponent.default);

    exports.RoleListItem = RoleListItem;

    _metalSoy.default.register(RoleListItem, templates);

    var _default = templates;
    /* jshint ignore:end */

    exports.default = _default;
    //# sourceMappingURL=RoleListItem.soy.js.map
  }
});
//# sourceMappingURL=RoleListItem.soy.js.map