Liferay.Loader.define("commerce-bom-admin-web@4.0.30/js/App.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', './components/DetailsBox.es', './components/ErrorMessage.es', './components/PictureBox.es', './components/StoreContext.es', './components/utilities/Icon.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _DetailsBox = _interopRequireDefault(require("./components/DetailsBox.es"));

    var _ErrorMessage = _interopRequireDefault(require("./components/ErrorMessage.es"));

    var _PictureBox = _interopRequireDefault(require("./components/PictureBox.es"));

    var _StoreContext = _interopRequireDefault(require("./components/StoreContext.es"));

    var _Icon = _interopRequireDefault(require("./components/utilities/Icon.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function App(props) {
      var _useContext = (0, _react.useContext)(_StoreContext.default),
          actions = _useContext.actions,
          state = _useContext.state;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          dataFetched = _useState2[0],
          updateDataFetchedStatus = _useState2[1];

      (0, _react.useEffect)(function () {
        if (!state.app.initialized) {
          actions.initializeAppData({
            areaApiUrl: props.areaApiUrl,
            areaId: props.areaId,
            productApiUrl: props.productApiUrl,
            spritemap: props.spritemap
          });
        }

        if (state.app.initialized && !dataFetched) {
          actions.getArea(state.app.areaApiUrl, state.area.id);
          updateDataFetchedStatus(true);
        }
      }, [state.app.initialized, state.app.areaApiUrl, state.area.id, dataFetched, actions, props.spritemap, props.areaApiUrl, props.productApiUrl, props.areaId]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "bom-admin-container container pt-3"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "row"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "col-12 col-xl-8"
        }, /*#__PURE__*/_react.default.createElement(_PictureBox.default, null)), /*#__PURE__*/_react.default.createElement("div", {
          className: "col-12 col-xl-4"
        }, /*#__PURE__*/_react.default.createElement(_DetailsBox.default, null))), state.app.error && /*#__PURE__*/_react.default.createElement(_ErrorMessage.default, {
          closeIcon: /*#__PURE__*/_react.default.createElement(_Icon.default, {
            spritemap: state.app.spritemap,
            symbol: 'close'
          }),
          message: state.app.error,
          onClose: actions.dismissError
        }))
      );
    }

    var _default = App;
    exports.default = _default;
    //# sourceMappingURL=App.es.js.map
  }
});
//# sourceMappingURL=App.es.js.map