Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/filter/hooks/useCustomFormState.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useCustomFormState = void 0;

    var _react = require("frontend-js-react-web$react");

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var isCustomFilter = function isCustomFilter(filter) {
      return filter.key === 'custom';
    };

    var useCustomFormState = function useCustomFormState() {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          formVisible = _useState2[0],
          setFormVisible = _useState2[1];

      var onClickFilter = (0, _react.useCallback)(function (handleClick) {
        return function (currentItem) {
          if (isCustomFilter(currentItem)) {
            setFormVisible(true);
          } else {
            handleClick(currentItem);
          }

          document.dispatchEvent(new Event('mousedown'));
          return true;
        };
      }, []);
      return {
        formVisible: formVisible,
        onClickFilter: onClickFilter,
        setFormVisible: setFormVisible
      };
    };

    exports.useCustomFormState = useCustomFormState;
    //# sourceMappingURL=useCustomFormState.es.js.map
  }
});
//# sourceMappingURL=useCustomFormState.es.js.map