Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/reassign/bulk/select-assignees-step/SelectAssigneesStep.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../../../../shared/hooks/usePost.es', '../../../ModalProvider.es', './SelectAssigneesStepBody.es', './SelectAssigneesStepHeader.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _PromisesResolver = _interopRequireDefault(require("../../../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _usePost2 = require("../../../../../../shared/hooks/usePost.es");

    var _ModalProvider = require("../../../ModalProvider.es");

    var _SelectAssigneesStepBody = require("./SelectAssigneesStepBody.es");

    var _SelectAssigneesStepHeader = require("./SelectAssigneesStepHeader.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SelectAssigneesStep = function SelectAssigneesStep(_ref) {
      var setErrorToast = _ref.setErrorToast;

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          tasks = _useContext.selectTasks.tasks;

      var _useState = (0, _react.useState)(0),
          _useState2 = _slicedToArray(_useState, 2),
          retry = _useState2[0],
          setRetry = _useState2[1];

      var _usePost = (0, _usePost2.usePost)({
        admin: true,
        body: {
          workflowTaskIds: tasks.map(function (task) {
            return task.id;
          })
        },
        url: '/workflow-tasks/assignable-users'
      }),
          data = _usePost.data,
          postData = _usePost.postData;

      var promises = (0, _react.useMemo)(function () {
        setErrorToast(false);

        if (tasks.length) {
          return [postData().catch(function (err) {
            setErrorToast(Liferay.Language.get('your-request-has-failed'));
            return Promise.reject(err);
          })];
        }

        return []; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [postData, retry]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "fixed-height modal-metrics-content"
        }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default.Resolved, null, /*#__PURE__*/_react.default.createElement(SelectAssigneesStep.Header, {
          data: data
        })), /*#__PURE__*/_react.default.createElement(SelectAssigneesStep.Body, {
          data: data,
          setRetry: setRetry,
          tasks: tasks
        })))
      );
    };

    SelectAssigneesStep.Body = _SelectAssigneesStepBody.Body;
    SelectAssigneesStep.Header = _SelectAssigneesStepHeader.Header;
    var _default = SelectAssigneesStep;
    exports.default = _default;
    //# sourceMappingURL=SelectAssigneesStep.es.js.map
  }
});
//# sourceMappingURL=SelectAssigneesStep.es.js.map