Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/instance-list-page/modal/update-due-date/SingleUpdateDueDateModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', '../../../../shared/components/content-view/ContentView.es', '../../../../shared/components/list/RetryButton.es', '../../../../shared/components/promises-resolver/PromisesResolver.es', '../../../../shared/components/toaster/hooks/useToaster.es', '../../../../shared/hooks/useFetch.es', '../../../../shared/hooks/usePost.es', '../../InstanceListPageProvider.es', '../ModalProvider.es', './UpdateDueDateStep.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _modal = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/modal"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../../../shared/components/content-view/ContentView.es"));

    var _RetryButton = _interopRequireDefault(require("../../../../shared/components/list/RetryButton.es"));

    var _PromisesResolver = _interopRequireDefault(require("../../../../shared/components/promises-resolver/PromisesResolver.es"));

    var _useToaster = require("../../../../shared/components/toaster/hooks/useToaster.es");

    var _useFetch2 = require("../../../../shared/hooks/useFetch.es");

    var _usePost2 = require("../../../../shared/hooks/usePost.es");

    var _InstanceListPageProvider = require("../../InstanceListPageProvider.es");

    var _ModalProvider = require("../ModalProvider.es");

    var _UpdateDueDateStep = _interopRequireDefault(require("./UpdateDueDateStep.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SingleUpdateDueDateModal = function SingleUpdateDueDateModal() {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          errorToast = _useState2[0],
          setErrorToast = _useState2[1];

      var _useState3 = (0, _react.useState)(0),
          _useState4 = _slicedToArray(_useState3, 2),
          retry = _useState4[0],
          setRetry = _useState4[1];

      var _useState5 = (0, _react.useState)(false),
          _useState6 = _slicedToArray(_useState5, 2),
          sendingPost = _useState6[0],
          setSendingPost = _useState6[1];

      var toaster = (0, _useToaster.useToaster)();

      var _useContext = (0, _react.useContext)(_ModalProvider.ModalContext),
          closeModal = _useContext.closeModal,
          setUpdateDueDate = _useContext.setUpdateDueDate,
          updateDueDate = _useContext.updateDueDate,
          visibleModal = _useContext.visibleModal;

      var _useContext2 = (0, _react.useContext)(_InstanceListPageProvider.InstanceListContext),
          selectedInstance = _useContext2.selectedInstance,
          setSelectedItem = _useContext2.setSelectedItem,
          setSelectedItems = _useContext2.setSelectedItems;

      var comment = updateDueDate.comment,
          dueDate = updateDueDate.dueDate;

      var onCloseModal = function onCloseModal(refetch) {
        closeModal(refetch);
        setSelectedItem({});
        setSelectedItems([]);
        setUpdateDueDate({
          comment: undefined,
          dueDate: undefined
        });
      };

      var _useModal = (0, _modal.useModal)({
        onClose: onCloseModal
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      var _useFetch = (0, _useFetch2.useFetch)({
        admin: true,
        params: {
          completed: false,
          page: 1,
          pageSize: 1
        },
        url: "/workflow-instances/".concat(selectedInstance.id, "/workflow-tasks")
      }),
          data = _useFetch.data,
          fetchData = _useFetch.fetchData;

      var _useMemo = (0, _react.useMemo)(function () {
        return data.items && data.items[0] ? data.items[0] : {};
      }, [data]),
          dateDue = _useMemo.dateDue,
          taskId = _useMemo.id;

      var _usePost = (0, _usePost2.usePost)({
        admin: true,
        body: {
          comment: comment,
          dueDate: dueDate
        },
        url: "/workflow-tasks/".concat(taskId, "/update-due-date")
      }),
          postData = _usePost.postData;

      var handleDone = (0, _react.useCallback)(function () {
        setSendingPost(true);
        setErrorToast(false);
        postData().then(function () {
          toaster.success(Liferay.Language.get('the-due-date-for-this-task-has-been-updated'));
          onCloseModal(true);
          setSendingPost(false);
          setErrorToast(false);
        }).catch(function (_ref) {
          var _response$data$title;

          var response = _ref.response;
          var errorMessage = "".concat(Liferay.Language.get('your-request-has-failed'), " ").concat(Liferay.Language.get('select-done-to-retry'));
          setErrorToast((_response$data$title = response === null || response === void 0 ? void 0 : response.data.title) !== null && _response$data$title !== void 0 ? _response$data$title : errorMessage);
          setSendingPost(false);
        }); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [postData]);
      var promises = (0, _react.useMemo)(function () {
        setErrorToast(false);

        if (selectedInstance.id && visibleModal === 'updateDueDate') {
          return [fetchData().catch(function (err) {
            setErrorToast(Liferay.Language.get('your-request-has-failed'));
            return Promise.reject(err);
          })];
        }

        return []; // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [fetchData, retry, visibleModal]);
      var statesProps = (0, _react.useMemo)(function () {
        return {
          errorProps: {
            actionButton: /*#__PURE__*/_react.default.createElement(_RetryButton.default, {
              onClick: function onClick() {
                return setRetry(function (retry) {
                  return retry + 1;
                });
              }
            }),
            className: 'mt-5 py-5',
            hideAnimation: true,
            message: Liferay.Language.get('unable-to-retrieve-data'),
            messageClassName: 'small'
          },
          loadingProps: {
            className: 'mt-3 py-7'
          }
        };
      }, [setRetry]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_PromisesResolver.default, {
          promises: promises
        }, visibleModal === 'updateDueDate' && /*#__PURE__*/_react.default.createElement(_modal.default, {
          observer: observer,
          size: "md"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, Liferay.Language.get('update-task-due-date')), errorToast && /*#__PURE__*/_react.default.createElement(_alert.default, {
          className: "mb-0",
          displayType: "danger",
          title: Liferay.Language.get('error')
        }, errorToast), /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, /*#__PURE__*/_react.default.createElement(_UpdateDueDateStep.default, {
          dueDate: dateDue
        })), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "mr-3",
            disabled: sendingPost,
            displayType: "secondary",
            onClick: onClose
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            disabled: sendingPost || !dueDate,
            onClick: handleDone
          }, Liferay.Language.get('done')))
        }))))
      );
    };

    var _default = SingleUpdateDueDateModal;
    exports.default = _default;
    //# sourceMappingURL=SingleUpdateDueDateModal.es.js.map
  }
});
//# sourceMappingURL=SingleUpdateDueDateModal.es.js.map