Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/components/performance-by-step-page/PerformanceByStepPageBody.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$react', '../../shared/components/content-view/ContentView.es', '../../shared/components/list/ReloadButton.es', '../../shared/components/pagination-bar/PaginationBar.es', './PerformanceByStepPageTable.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.Body = void 0;

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ContentView = _interopRequireDefault(require("../../shared/components/content-view/ContentView.es"));

    var _ReloadButton = _interopRequireDefault(require("../../shared/components/list/ReloadButton.es"));

    var _PaginationBar = _interopRequireDefault(require("../../shared/components/pagination-bar/PaginationBar.es"));

    var _PerformanceByStepPageTable = require("./PerformanceByStepPageTable.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var Body = function Body(_ref) {
      var filtered = _ref.filtered,
          items = _ref.items,
          page = _ref.page,
          pageSize = _ref.pageSize,
          totalCount = _ref.totalCount;
      var statesProps = (0, _react.useMemo)(function () {
        return {
          emptyProps: {
            filtered: filtered
          },
          errorProps: {
            actionButton: /*#__PURE__*/_react.default.createElement(_ReloadButton.default, null),
            hideAnimation: true,
            message: Liferay.Language.get('there-was-a-problem-retrieving-data-please-try-reloading-the-page')
          },
          loadingProps: {
            className: 'pb-6 pt-6 sheet'
          }
        };
      }, [filtered]);
      return (/*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, {
          className: "mt-4 workflow-process-dashboard"
        }, /*#__PURE__*/_react.default.createElement(_ContentView.default, statesProps, totalCount > 0 && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Body.Table, {
          items: items
        }), /*#__PURE__*/_react.default.createElement(_PaginationBar.default, {
          page: page,
          pageSize: pageSize,
          totalCount: totalCount
        }))))
      );
    };

    exports.Body = Body;
    Body.Table = _PerformanceByStepPageTable.Table;
    //# sourceMappingURL=PerformanceByStepPageBody.es.js.map
  }
});
//# sourceMappingURL=PerformanceByStepPageBody.es.js.map