Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/form/FormGroupWithStatus.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react', './FieldLabel.es', './FieldStatus.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _form = _interopRequireDefault(require("@frontend-taglib-clay$clayui/form"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _FieldLabel = _interopRequireDefault(require("./FieldLabel.es"));

    var _FieldStatus = _interopRequireDefault(require("./FieldStatus.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var FormGroupWithStatus = function FormGroupWithStatus(_ref) {
      var children = _ref.children,
          className = _ref.className,
          description = _ref.description,
          error = _ref.error,
          htmlFor = _ref.htmlFor,
          label = _ref.label,
          requiredLabel = _ref.requiredLabel,
          success = _ref.success,
          otherProps = _objectWithoutProperties(_ref, ["children", "className", "description", "error", "htmlFor", "label", "requiredLabel", "success"]);

      return (/*#__PURE__*/_react.default.createElement(_form.default.Group, _extends({
          className: "".concat(className, " ").concat(error ? 'has-error' : success ? 'has-success' : '')
        }, otherProps), /*#__PURE__*/_react.default.createElement(_FieldLabel.default, {
          htmlFor: htmlFor,
          required: requiredLabel,
          text: label
        }), children, error && /*#__PURE__*/_react.default.createElement(_FieldStatus.default, {
          error: true,
          status: error
        }), description && /*#__PURE__*/_react.default.createElement(_form.default.FeedbackGroup, null, /*#__PURE__*/_react.default.createElement(_form.default.FeedbackItem, null, /*#__PURE__*/_react.default.createElement(_form.default.Text, null, description))), success && /*#__PURE__*/_react.default.createElement(_FieldStatus.default, {
          status: success
        }))
      );
    };

    var _default = FormGroupWithStatus;
    exports.default = _default;
    //# sourceMappingURL=FormGroupWithStatus.es.js.map
  }
});
//# sourceMappingURL=FormGroupWithStatus.es.js.map