Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/toaster/ToasterProvider.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', './Toaster.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.ToasterContext = void 0;

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Toaster = _interopRequireDefault(require("./Toaster.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var ToasterContext = /*#__PURE__*/(0, _react.createContext)();
    exports.ToasterContext = ToasterContext;
    var ACTION_TYPES = {
      ADD: 'ADD_TOASTER',
      CLEAR_ALL: 'CLEAR_ALL_TOASTERS',
      REMOVE: 'REMOVE_TOASTER'
    };

    var toasterReducer = function toasterReducer(_ref, _ref2) {
      var _ref$toasts = _ref.toasts,
          toasts = _ref$toasts === void 0 ? [] : _ref$toasts;
      var type = _ref2.type,
          value = _ref2.value;

      if (type === ACTION_TYPES.ADD) {
        toasts.push(value);
      }

      if (type === ACTION_TYPES.CLEAR_ALL) {
        toasts = [];
      }

      if (type === ACTION_TYPES.REMOVE) {
        toasts = toasts.filter(function (_, index) {
          return index !== value;
        });
      }

      return {
        toasts: toasts
      };
    };

    var ToasterProvider = function ToasterProvider(_ref3) {
      var children = _ref3.children;

      var _useReducer = (0, _react.useReducer)(toasterReducer, {
        toasts: []
      }),
          _useReducer2 = _slicedToArray(_useReducer, 2),
          toasts = _useReducer2[0].toasts,
          dispatch = _useReducer2[1];

      var removeToast = function removeToast(removeIndex) {
        dispatch({
          type: ACTION_TYPES.REMOVE,
          value: removeIndex
        });
      };

      return (/*#__PURE__*/_react.default.createElement(ToasterContext.Provider, {
          value: {
            addToast: function addToast(newToast) {
              dispatch({
                type: ACTION_TYPES.ADD,
                value: newToast
              });
            },
            clearAll: function clearAll() {
              dispatch({
                type: ACTION_TYPES.CLEAR_ALL
              });
            },
            dispatch: dispatch,
            removeToast: removeToast,
            toasts: toasts
          }
        }, /*#__PURE__*/_react.default.createElement(_Toaster.default, {
          removeToast: removeToast,
          toasts: toasts
        }), children)
      );
    };

    var _default = ToasterProvider;
    exports.default = _default;
    //# sourceMappingURL=ToasterProvider.es.js.map
  }
});
//# sourceMappingURL=ToasterProvider.es.js.map