Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/components/user-avatar/UserAvatar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$classnames', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var UserAvatar = function UserAvatar(_ref) {
      var className = _ref.className,
          image = _ref.image;
      var avatarClassName = (0, _classnames.default)(className, 'rounded-circle sticker sticker-light sticker-user-icon');
      return (/*#__PURE__*/_react.default.createElement("span", {
          className: avatarClassName
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "sticker-overlay"
        }, image ? /*#__PURE__*/_react.default.createElement("img", {
          className: "img-fluid",
          src: image
        }) : /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "user"
        })))
      );
    };

    var _default = UserAvatar;
    exports.default = _default;
    //# sourceMappingURL=UserAvatar.es.js.map
  }
});
//# sourceMappingURL=UserAvatar.es.js.map