Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/useFetch.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../components/AppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useFetch = void 0;

    var _react = require("frontend-js-react-web$react");

    var _AppContext = require("../../components/AppContext.es");

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var useFetch = function useFetch(_ref) {
      var _ref$admin = _ref.admin,
          admin = _ref$admin === void 0 ? false : _ref$admin,
          _ref$callback = _ref.callback,
          callback = _ref$callback === void 0 ? function (data) {
        return data;
      } : _ref$callback,
          _ref$params = _ref.params,
          params = _ref$params === void 0 ? {} : _ref$params,
          url = _ref.url;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          getClient = _useContext.getClient;

      var _useState = (0, _react.useState)({}),
          _useState2 = _slicedToArray(_useState, 2),
          data = _useState2[0],
          setData = _useState2[1];

      var client = getClient(admin);
      var queryParamsStr = JSON.stringify(params);
      var fetchData = (0, _react.useCallback)(function () {
        return client.get(url, {
          params: params
        }).then(function (_ref2) {
          var data = _ref2.data;
          setData(data);
          return callback(data);
        });
      }, // eslint-disable-next-line react-hooks/exhaustive-deps
      [client, queryParamsStr, url]);
      return {
        data: data,
        fetchData: fetchData
      };
    };

    exports.useFetch = useFetch;
    //# sourceMappingURL=useFetch.es.js.map
  }
});
//# sourceMappingURL=useFetch.es.js.map