Liferay.Loader.define("portal-workflow-metrics-web@2.0.46/js/shared/hooks/usePatch.es", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../../components/AppContext.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.usePatch = void 0;

    var _react = require("frontend-js-react-web$react");

    var _AppContext = require("../../components/AppContext.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    var usePatch = function usePatch(_ref) {
      var _ref$body = _ref.body,
          body = _ref$body === void 0 ? {} : _ref$body,
          _ref$admin = _ref.admin,
          admin = _ref$admin === void 0 ? false : _ref$admin,
          url = _ref.url;

      var _useContext = (0, _react.useContext)(_AppContext.AppContext),
          getClient = _useContext.getClient;

      var client = getClient(admin);
      var queryBodyStr = JSON.stringify(body);
      var patchData = (0, _react.useCallback)(function (patchBody) {
        return client.patch(url, patchBody || body);
      }, // eslint-disable-next-line react-hooks/exhaustive-deps
      [queryBodyStr, url, admin]);
      return {
        patchData: patchData
      };
    };

    exports.usePatch = usePatch;
    //# sourceMappingURL=usePatch.es.js.map
  }
});
//# sourceMappingURL=usePatch.es.js.map